<template>
    <div class="goods-card">
        <ul>
            <li>
                <p>
                    <span>2019.09.09 13:00</span>
                    <span>订单编号：20809900</span>
                </p>
                <Cards
                    img="https://img.yzcdn.cn/vant/ipad.jpeg"
                    num="2"
                    price="223"
                    title="小熊(Bear)破壁机多功能家用PBJ-B10N1"
                    @click.native="goOrderDetail(1)"
                    statusText="配送中">
                </Cards>
            </li>
        </ul>
    </div>
</template>
<script>
import { Button, Card, Tag} from "vant";
import Cards from './childs/Cards'
export default {
    name: "GoodsCard",
    components:{
        [Button.name]: Button,
        [Card.name]: Card,
        [Tag.name]: Tag,
        Cards
    },
    data(){
        return{
            
        }
    },
    methods:{
        goOrderDetail(id){
            console.log(id);
            this.$router.push({
                name:'OrderDetail',
                query:{
                    id:id
                }
            })
        }
    }
};
</script>

<style scope lang="less">
    .goods-card{
        margin-top: 10px;
        ul{
            li{
                background-color: #fff;
                padding: 0 7.5px 0 15px;
                p{
                    color: #8E8E93;
                    font-size: 12px;
                    font-weight: 500;
                    display: flex;
                    justify-content: space-between;
                    line-height: 12px;
                    padding-top: 0.1rem;
                }
                .card-price{
                    .price{
                        color: #D7A269;
                    }
                }
            }
            li:not(:first-child){
                margin-top: 10px;
            }
        }
    }
</style>
